Bug 246746 - www/nginx: Update nginx-upload-module to support http/2
Summary: www/nginx: Update nginx-upload-module to support http/2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Sergey A. Osokin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-26 09:38 UTC by freebsd
Modified: 2020-06-02 18:13 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (joneum)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd 2020-05-26 09:38:56 UTC
Hi,

The nginx-upload-module use the one from austinb repo that doesn't support http/2.


Can you please use the last one release or the master from the original repo :
https://github.com/fdintino/nginx-upload-module/ ?

Best regards,
Comment 1 Jochen Neumeister freebsd_committer 2020-05-28 08:09:57 UTC
Hello and thanks for the PR :-)

It's true, austinb hasn't received an update for about 4 years. I will try to change it to your link. :-)
Comment 2 commit-hook freebsd_committer 2020-06-02 08:12:34 UTC
A commit references this bug:

Author: joneum
Date: Tue Jun  2 08:11:54 UTC 2020
New revision: 537527
URL: https://svnweb.freebsd.org/changeset/ports/537527

Log:
  Switch with the nginx-upload-module to fdintino, they support http/2:
  https://github.com/fdintino/nginx-upload-module/

  PR:		246746
  Sponsored by:	Netzkommune GmbH

Changes:
  head/www/nginx/Makefile.extmod
  head/www/nginx/distinfo
Comment 3 Jochen Neumeister freebsd_committer 2020-06-02 08:12:53 UTC
pass the PR to osa, maybe he may also change with nginx-devel
Comment 4 commit-hook freebsd_committer 2020-06-02 18:12:10 UTC
A commit references this bug:

Author: osa
Date: Tue Jun  2 18:11:22 UTC 2020
New revision: 537565
URL: https://svnweb.freebsd.org/changeset/ports/537565

Log:
  Merge r537527 and r537550 from www/nginx:

  1. Switch with the nginx-upload-module to fdintino, they support http/2:                                                                 https://github.com/fdintino/nginx-upload-module/.

  2. Update 3rd party module nginx-link-function to 3.2.2.

  Bump PORTREVISION.

  PR:	246746 [1]
  	246897 [2]

Changes:
  head/www/nginx-devel/Makefile
  head/www/nginx-devel/Makefile.extmod
  head/www/nginx-devel/distinfo
  head/www/nginx-devel/files/extra-patch-nginx-link-function-config
  head/www/nginx-devel/files/extra-patch-ngx_link_func_module.c
Comment 5 Sergey A. Osokin freebsd_committer 2020-06-02 18:13:00 UTC
Committed, thanks!